import eslintPluginAstro from "eslint-plugin-astro";
import typescriptEslint from "typescript-eslint";

export default [
    {
        ignores: [
            "**/.astro",
            "**/dist/*",
            "**/result/*",
            "**/node_modules/*"
        ]
    },
    ...typescriptEslint.configs.recommended,
    ...eslintPluginAstro.configs.recommended,
    {
        rules: {
            "quotes": ["error", "double"],
            "semi": ["error", "always"],
            "comma-dangle": ["error", "never"],

            "@typescript-eslint/no-unused-vars": [
                "error",
                {
                    varsIgnorePattern: "^_",
                    argsIgnorePattern: "^_"
                }
            ]
        }
    }
];